%define module pyscard

Name:       python-%{module}
Version:    1.9.9
Release:    %mkrel 1
Summary:    Python smart card library
Group:      Development/Python
License:    LGPLv2+
URL:        https://pyscard.sourceforge.io/
Source0:    https://github.com/LudovicRousseau/pyscard/archive/release-%{version}.tar.gz/%{module}-%{version}.tar.gz
Patch0:     pyscard-1.9.9-mga-glibc-2.31.patch
BuildRequires:  pkgconfig(libpcsclite)
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  swig

%description
pyscard is a python module adding smart cards support to python.

It consists of the smartcard.scard module, an extension module wrapping
Windows smart card base components (also known as PCSC) on Windows, and
PCSC lite on GNU/Linux and macOS, and of the smartcard module, a
python framework with objects wrapping PCSC API.

%package -n python3-%{module}
Summary:    %{summary}

%description -n python3-%{module}
pyscard is a python module adding smart cards support to python.

It consists of the smartcard.scard module, an extension module wrapping
Windows smart card base components (also known as PCSC) on Windows, and
PCSC lite on GNU/Linux and macOS, and of the smartcard module, a
python framework with objects wrapping PCSC API.

%prep
%autosetup -n pyscard-release-%{version}

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{module}
%{python3_sitearch}/smartcard*
%{python3_sitearch}/*egg-info
%license LICENSE
%doc README.md


%changelog
* Sat Mar 14 2020 danf <danf> 1.9.9-1.mga8
+ Revision: 1556180
- imported package python-pyscard

